Debian Bug report logs - #566774
src:freebsd-utils: FTBFS on k-i: kdump_subr.c and pppctl.c issues

version graph

Package: src:freebsd-utils; Maintainer for src:freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Mon, 25 Jan 2010 02:00:02 UTC

Severity: serious

Found in version freebsd-utils/8.0-7

Fixed in version freebsd-utils/8.0-8

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#566774; Package src:freebsd-utils. (Mon, 25 Jan 2010 02:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 25 Jan 2010 02:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: src:freebsd-utils: FTBFS on k-i: kdump_subr.c and pppctl.c issues
Date: Mon, 25 Jan 2010 02:59:19 +0100
Package: src:freebsd-utils
Version: 8.0-7
Severity: serious
Justification: FTBFS

Hi,

our package FTBFS on kfreebsd-i386:
| cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D'__FBSDID(string)=' -O2  -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D'__FBSDID(string)=' -O2  -c pppctl.c
| pppctl.c:41:22: error: histedit.h: No such file or directory
| pppctl.c:57: error: expected specifier-qualifier-list before 'EditLine'
| pppctl.c:107: error: expected ')' before '*' token
| pppctl.c:245: error: expected ')' before '*' token
| pppctl.c: In function 'Terminal':
| pppctl.c:283: error: 'HistEvent' undeclared (first use in this function)
| pppctl.c:283: error: (Each undeclared identifier is reported only once
| pppctl.c:283: error: for each function it appears in.)
| pppctl.c:283: error: expected ';' before 'hev'
| pppctl.c:294: warning: implicit declaration of function 'SmartGets'
| pppctl.c:294: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:294: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:299: warning: implicit declaration of function 'history'
| pppctl.c:299: error: 'struct thread_data' has no member named 'hist'
| pppctl.c:299: error: 'hev' undeclared (first use in this function)
| pppctl.c:299: error: 'H_ENTER' undeclared (first use in this function)
| pppctl.c:301: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:302: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c: In function 'Monitor':
| pppctl.c:328: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:328: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:332: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:333: error: 'struct thread_data' has no member named 'trm'
| pppctl.c:328: error: invalid lvalue in asm output 0
| pppctl.c: In function 'main':
| pppctl.c:579: error: 'HistEvent' undeclared (first use in this function)
| pppctl.c:579: error: expected ';' before 'hev'
| pppctl.c:582: error: 'struct thread_data' has no member named 'hist'
| pppctl.c:582: warning: implicit declaration of function 'history_init'
| pppctl.c:593: error: 'struct thread_data' has no member named 'hist'
| pppctl.c:593: error: 'hev' undeclared (first use in this function)
| pppctl.c:593: error: 'H_SETSIZE' undeclared (first use in this function)
| pppctl.c:594: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:594: warning: implicit declaration of function 'el_init'
| pppctl.c:596: warning: implicit declaration of function 'el_source'
| pppctl.c:596: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:597: warning: implicit declaration of function 'el_set'
| pppctl.c:597: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:597: error: 'EL_PROMPT' undeclared (first use in this function)
| pppctl.c:597: error: 'GetPrompt' undeclared (first use in this function)
| pppctl.c:600: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:600: error: 'EL_EDITOR' undeclared (first use in this function)
| pppctl.c:602: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:604: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:604: error: 'EL_SIGNAL' undeclared (first use in this function)
| pppctl.c:605: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:605: error: 'EL_HIST' undeclared (first use in this function)
| pppctl.c:605: error: 'struct thread_data' has no member named 'hist'
| pppctl.c:607: error: 'struct thread_data' has no member named 'ppp'
| pppctl.c:608: error: 'struct thread_data' has no member named 'trm'
| pppctl.c:623: error: 'struct thread_data' has no member named 'trm'
| pppctl.c:627: error: 'struct thread_data' has no member named 'trm'
| pppctl.c:638: warning: implicit declaration of function 'el_end'
| pppctl.c:638: error: 'struct thread_data' has no member named 'edit'
| pppctl.c:639: warning: implicit declaration of function 'history_end'
| pppctl.c:639: error: 'struct thread_data' has no member named 'hist'
| *** Error code 1

Full build logs:
  https://buildd.debian.org/status/package.php?suite=unstable&p=freebsd-utils

On my porter box, that's different:
| cc -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D'__FBSDID(string)=' -O2  -I/srv/storage/kibi/hack/porting-4/freebsd-utils-8.0/usr.bin/kdump/../ktrace -I/srv/storage/kibi/hack/porting-4/freebsd-utils-8.0/usr.bin/kdump -I/srv/storage/kibi/hack/porting-4/freebsd-utils-8.0/usr.bin/kdump/../.. -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D'__FBSDID(string)=' -O2  -c kdump_subr.c
| kdump_subr.c: In function ‘acltypename’:
| kdump_subr.c:821: error: ‘ACL_TYPE_ACCESS’ undeclared (first use in this function)
| kdump_subr.c:821: error: (Each undeclared identifier is reported only once
| kdump_subr.c:821: error: for each function it appears in.)
| kdump_subr.c:824: error: ‘ACL_TYPE_DEFAULT’ undeclared (first use in this function)
| *** Error code 1

Mraw,
KiBi.




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 25 Jan 2010 12:21:12 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Mon, 25 Jan 2010 12:21:12 GMT) Full text and rfc822 format available.

Message #10 received at 566774-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 566774-close@bugs.debian.org
Subject: Bug#566774: fixed in freebsd-utils 8.0-8
Date: Mon, 25 Jan 2010 12:17:27 +0000
Source: freebsd-utils
Source-Version: 8.0-8

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools_8.0-8_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.0-8_kfreebsd-amd64.deb
freebsd-utils-udeb_8.0-8_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.0-8_kfreebsd-amd64.udeb
freebsd-utils_8.0-8.diff.gz
  to main/f/freebsd-utils/freebsd-utils_8.0-8.diff.gz
freebsd-utils_8.0-8.dsc
  to main/f/freebsd-utils/freebsd-utils_8.0-8.dsc
freebsd-utils_8.0-8_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.0-8_kfreebsd-amd64.deb
kbdcontrol_8.0-8_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.0-8_kfreebsd-amd64.deb
kldutils-udeb_8.0-8_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.0-8_kfreebsd-amd64.udeb
kldutils_8.0-8_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.0-8_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566774@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jan 2010 12:34:52 +0100
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol freebsd-net-tools
Architecture: source kfreebsd-amd64
Version: 8.0-8
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
Closes: 566774
Changes: 
 freebsd-utils (8.0-8) unstable; urgency=low
 .
   * debian/patches/026_kdump.diff: don't parse <sys/acl.h> in auto mode.
   * Build-depends on libedit-dev. Closes: bug#566774.
Checksums-Sha1: 
 1e36d2487699b95e194d0c5168240d55e9270fef 1604 freebsd-utils_8.0-8.dsc
 4c0ba2feb034e63f96b0109c5ebfb4831ffbb44d 142241 freebsd-utils_8.0-8.diff.gz
 406f004ddbd3fdecc60448a92f789a09cc4b1af3 266726 freebsd-utils_8.0-8_kfreebsd-amd64.deb
 b3adf178531396c583e41a13c3b2990596387993 34668 freebsd-utils-udeb_8.0-8_kfreebsd-amd64.udeb
 a77cfca5def22073806dd69f988e39ae2bfafae5 34806 kldutils_8.0-8_kfreebsd-amd64.deb
 086b9c6e7891249ce5434102062829514e69f4d9 7270 kldutils-udeb_8.0-8_kfreebsd-amd64.udeb
 c79ab9c59944e3403a89bc71b65590a5cfb6d28e 106598 kbdcontrol_8.0-8_kfreebsd-amd64.deb
 8b10d1cd2dc93671eefff9e0da29095220eb6447 320532 freebsd-net-tools_8.0-8_kfreebsd-amd64.deb
Checksums-Sha256: 
 47b953e245bc906bee9bfebbc756644316eb613f6bc6515d55baf5922c436c4a 1604 freebsd-utils_8.0-8.dsc
 cad62165ce6e48054ed15237bcd65ca5f181afb3ff5d02469d423bdb51caa4a9 142241 freebsd-utils_8.0-8.diff.gz
 8b29a3ad5f05090645d70ca28e44582cb24d75dfb600b6f273a074ca18602cf7 266726 freebsd-utils_8.0-8_kfreebsd-amd64.deb
 cfa7cc0bf5bee08acde44f0ec0e65d1a6d2eb0f77b5053b873eda67c12c8c74b 34668 freebsd-utils-udeb_8.0-8_kfreebsd-amd64.udeb
 2eb0adb8d485fcdf840d5152811e7115a0954843cf7fdc725b5f860858a85354 34806 kldutils_8.0-8_kfreebsd-amd64.deb
 a77158ecb756c81d1191b13abb046276537db09917b82716c11f8e2177deed6d 7270 kldutils-udeb_8.0-8_kfreebsd-amd64.udeb
 e9b659cc7f1cda94642847383645e30ae6ad71f8f015bb91509963cf305e06f2 106598 kbdcontrol_8.0-8_kfreebsd-amd64.deb
 524d369a59a198caf5c3be61e58151a512e542b0f12fca66740fb7ff7bfe4f10 320532 freebsd-net-tools_8.0-8_kfreebsd-amd64.deb
Files: 
 154f5ae281f419fda444bb0edd5e274f 1604 utils important freebsd-utils_8.0-8.dsc
 063e491ee60fac84aeb9861500226ce9 142241 utils important freebsd-utils_8.0-8.diff.gz
 10b3e45e1049247d738d725e7144a7c4 266726 utils required freebsd-utils_8.0-8_kfreebsd-amd64.deb
 e4b1d51ae2fab0417ccb8d3a030878fe 34668 debian-installer optional freebsd-utils-udeb_8.0-8_kfreebsd-amd64.udeb
 f2d476292228485221aa244e74093501 34806 utils important kldutils_8.0-8_kfreebsd-amd64.deb
 2b359bb79d9afb9c64b676a09dd5e28e 7270 debian-installer optional kldutils-udeb_8.0-8_kfreebsd-amd64.udeb
 d8f0dbd9169be2b45df9338dea586b68 106598 utils important kbdcontrol_8.0-8_kfreebsd-amd64.deb
 b49fa493ae65a3bd568172bf1975f1ab 320532 net important freebsd-net-tools_8.0-8_kfreebsd-amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLXYl1w3ao2vG823MRAitTAKCLfvvEVyjCbzWg6uJijoS9gI+XqwCgg7/X
ySujOHrX7egOeTj+tcpDOnE=
=SFoy
-----END PGP SIGNATURE-----





Bug Marked as found in versions freebsd-utils/8.0-7. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Tue, 26 Jan 2010 11:03:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Feb 2010 07:35:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:32:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.